Đến nội dung


Hình ảnh
- - - - -

Bạn Nào Giúp Mình Viết Clisp Nội Suy Giữa Hai Đường Spline Và Xóa Phần Không Được Chọn


  • Please log in to reply
18 replies to this topic

#1 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 11 August 2015 - 11:08 AM

Bạn nào biết ở đâu có lisp hoặc có thể giúp mình viết một lisp với yêu cầu như thế này:

1- Có hai đường Spline và muốn tạo một đường nội suy ở giữa 2 đường đó. Ví dụ có 2 đường đồng mức trên bản đồ muốn vẽ thêm một đường ỡ gữa hai đường đó.

2- Mình có một miếng bản đồ rộng, muốn chọn một phần ở trong đó và loại bỏ các phần xung quanh bằng cách khoanh một vùng kín.

Xin cảm ơn nhiều!


  • -1

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 11 August 2015 - 02:40 PM

1.Chờ có ai có không chứ mình ko có.

2.Thử lệnh extrim hoặc tìm kiếm lisp có sẳn trên cadviet


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 11 August 2015 - 04:55 PM

Xem cái này có đúng ý không?

http://www.cadtutor....ll=1#post535978


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 11 August 2015 - 05:43 PM

Xem cái này có đúng ý không?

http://www.cadtutor....ll=1#post535978

Cảm ơn bạn! Mình đã xem nhưng không phải cái này.


  • 0

#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 August 2015 - 10:52 PM

Bạn nào biết ở đâu có lisp hoặc có thể giúp mình viết một lisp với yêu cầu như thế này:

1- Có hai đường Spline và muốn tạo một đường nội suy ở giữa 2 đường đó. Ví dụ có 2 đường đồng mức trên bản đồ muốn vẽ thêm một đường ỡ gữa hai đường đó.

2- Mình có một miếng bản đồ rộng, muốn chọn một phần ở trong đó và loại bỏ các phần xung quanh bằng cách khoanh một vùng kín.

Xin cảm ơn nhiều!

Hề hề hề,

Giữa là thế nào?? Giữa về cao độ hay giữa về khoảng cách trên bình đồ ???

Hãy gửi một bản vẽ mô tả cái giữa ấy ra sao nhé.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#6 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 11 August 2015 - 11:29 PM

Hề hề hề,

Giữa là thế nào?? Giữa về cao độ hay giữa về khoảng cách trên bình đồ ???

Hãy gửi một bản vẽ mô tả cái giữa ấy ra sao nhé.

Giữa về khoảng cách thôi ban à, Bạn giúp mình với!

http://www.cadviet.c...818_ví_du_1.dwg


  • 0

#7 dungonlinektcn

dungonlinektcn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 August 2015 - 07:37 AM

cái này để vẽ thêm đường đồng mức trên bản đồ đây ah, cũng hay đấy hóng cao thủ


  • 0

#8 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 12 August 2015 - 10:13 AM

Bạn xem cái này xem?

 


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#9 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 411 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 12 August 2015 - 11:06 AM

Bạn xem cái này xem?

 

Cái lisp này có phải bạn viết không vậy?


  • 0

#10 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 12 August 2015 - 02:56 PM

Cái lisp này có phải bạn viết không vậy?

Đúng rồi bạn à, bạn cho mình xin với!


  • 0

#11 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 12 August 2015 - 02:59 PM

Bạn xem cái này xem?

 

Đùng cái này rồi bạn cho mình xin nhé!


  • 0

#12 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 12 August 2015 - 03:08 PM

Cái lisp này có phải bạn viết không vậy?

Đúng cái này rồi bạn ơi! Bạn cho mình xin nhé.


  • 0

#13 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 12 August 2015 - 04:28 PM

Của bạn đây

http://www.cadviet.c...pl1_mpl2pl2.rar


  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#14 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 12 August 2015 - 11:01 PM

Cảm ơn bạn nhé! Nhưng mình thấy đường nó là pline nên nó không mềm mại, không đẹp, ở nhiều đoạn nó còn không ra hình gì nữa vậy thì sửa thế nào bạn nhỉ?


  • 0

#15 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 411 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 13 August 2015 - 08:09 AM

Cảm ơn bạn nhé! Nhưng mình thấy đường nó là pline nên nó không mềm mại, không đẹp, ở nhiều đoạn nó còn không ra hình gì nữa vậy thì sửa thế nào bạn nhỉ?

Vì 2 cái đường bạn chọn làm gốc nó cũng ko mềm mại thì sao cái ở giữa mềm dc :)

Lisp này vẫn chưa chẩn ở những đoạn mà 1 bên đường thì thẳng, một bên thì cong lên


  • 0

#16 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 August 2015 - 11:33 AM

Hệ số chia trong lisp là 100, đương nhiên sẽ có lúc có vấn đề :)


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#17 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 16 August 2015 - 08:04 AM

Cảm ơn bạn nhé! Nhưng mình thấy đường nó là pline nên nó không mềm mại, không đẹp, ở nhiều đoạn nó còn không ra hình gì nữa vậy thì sửa thế nào bạn nhỉ?

"không ra cái hình gì" là có thể do lisp sử lý lấy 2 điểm đầu "bờ sông" phải gần nhau. Còn nếu 2 điểm này: anh ở thượng em ở hạ thì kiểu gì cũng tạo ra 1 đường rối.

Thanhduan 2407 sửa lại 1 chút là được. Còn muốn dùng li sp này bạn nên dùng lệnh reverse để đổi chiều 1 trong 2 bờ sông nhé


  • 0

#18 dinhtrong1

dinhtrong1

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 16 August 2015 - 11:18 PM

"không ra cái hình gì" là có thể do lisp sử lý lấy 2 điểm đầu "bờ sông" phải gần nhau. Còn nếu 2 điểm này: anh ở thượng em ở hạ thì kiểu gì cũng tạo ra 1 đường rối.

Thanhduan 2407 sửa lại 1 chút là được. Còn muốn dùng li sp này bạn nên dùng lệnh reverse để đổi chiều 1 trong 2 bờ sông nhé

Cảm ơn bạn nhé! để mình nghiên cứu đã


  • 0

#19 nhoclangbac

nhoclangbac

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 18 August 2015 - 11:35 AM

"không ra cái hình gì" là có thể do lisp sử lý lấy 2 điểm đầu "bờ sông" phải gần nhau. Còn nếu 2 điểm này: anh ở thượng em ở hạ thì kiểu gì cũng tạo ra 1 đường rối.

Thanhduan 2407 sửa lại 1 chút là được. Còn muốn dùng li sp này bạn nên dùng lệnh reverse để đổi chiều 1 trong 2 bờ sông nhé

Nhoc thay bác tiền bối chỉ điểm mà không ra tay :( , Nhoc thử viết xem (không dấu code nhé :D )... nhờ bác tiền bối kiểm tra xem sao bị lỗi với bản vẽ chủ topic :wub:

(defun c:amo (/ os pl1 pl2 i pa1 p1 p2 ptb lstp)
(command "undo" "be") 
(setq os (getvar "osmode")) (setvar "osmode" 0)
(setq pl1 (car (entsel "\n Chon duong Polyline thu nhat :")))
(setq pl2 (car (entsel "\n Chon duong Polyline thu hai :")))
(setq pa1 (vlax-curve-getEndParam pl1) i 0) 
(while (<= i pa1) (setq p1 (vlax-curve-getPointAtParam pl1 i))
(setq p2 (vlax-curve-getClosestPointTo pl2 p1)) 
(setq ptb (list (/ (+ (car p1) (car p2)) 2) (/ (+ (cadr p1) (cadr p2)) 2) 0))
(setq lstp (cons ptb lstp)) (setq i (+ i 1))	) 
(command "pline")
(foreach x lstp (command x)) (command "")
(setvar "osmode" os) 
(Command "undo" "e") 
(princ))


  • 0